Role Name
=========

A role that installs ePAS, electronic Personnel Attendance System. <https://epas.projects.iit.cnr.it>

Role Variables
--------------

The most important variables are listed below:

``` yaml
epas_docker_stack_name: 'epas_prod'
epas_docker_service_server_name: 'epas'
epas_docker_registry: 'ghcr.io'
epas_docker_server_image: '{{ epas_docker_registry }}/consiglionazionaledellericerche/epas:stable'
epas_docker_network: 'epas_net'
epas_attachments_node: 'localhost'
epas_attachments_volume: 'epas_attachments_data'
epas_node_constraints: 'node.labels.epas_storage == attachments'
epas_behind_haproxy: True
epas_haproxy_public_net: 'haproxy-public'
# DB
# Set to true if postgresql must be a container too
epas_dockerized_db: False
# IMPORTANT. Set it to True for the server that is going to host the DB
epas_docker_db_node: False
epas_pg_version: '12'
epas_db_image: 'postgres:{{ epas_pg_version }}-alpine'
# The default hostname is the name of the container service
epas_db_host: 'postgres'
epas_db_name: 'epas_prod_db'
epas_db_allowed_hosts:
  - '127.0.0.1'
#epas_db_pwd: 'set it in a vault file'
epas_db_user: 'epas_prod_user'
epas_db_volume: 'epas_prod_pg_data'
epas_db_constraints: '[node.labels.pg_data==epas_db]'
epas_pg_data_volume: 'epas_db_data'
epas_pg_backups_volume: 'epas_db_data'
psql_db_data: '{{ epas_psql_pg_data }}'
# Environment
epas_server_hostname: 'epas.example.com'
# Teleworker
epas_teleworker_server_active: 'true'
epas_teleworker_server_user: 'app.epas'
#epas_teleworker_server_password: 'set in a vault file'
## SMTP
epas_smtp_server: 'localhost'
epas_smtp_port: 587
epas_smtp_channel: 'starttls'
epas_smtp_from: 'epas@cnr.it'
epas_smtp_protocol: 'smtp'
epas_smtp_authentication: True
epas_smtp_user: ''
epas_smtp_password: 'use a vault file'
## LDAP
epas_ldap_login: 'false'
epas_ldap_url: 'ldap://ldap.example.org:389'
epas_ldap_timeout: 1000
epas_ldap_base_dn: 'ou=People,dc=example,dc=org'
epas_ldap_login_return_uri: '/.'
epas_ldap_eppn_attribute_name: 'eduPersonPrincipalName'
## Keycloak
epas_keyclock_enabled: True
epas_oauth_login: 'true'

```

Dependencies
------------

A docker swarm cluster is required

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
